Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.monitor
Interface ProvisionMonitor

All Superinterfaces:
  Administrable, EventProducer, MonitorableService, ProvisionManager, Remote, Service, Watchable

    public interface ProvisionMonitor

extends ProvisionManager, Service

The ProvisionMonitor extends the ProvisionManager and Service interfaces, and defines the semantics required for ProvisionMonitor instances to back-up each other

Nested Class Summary
`static class` | `ProvisionMonitor.PeerInfo` Contains information about ProvisionMonitor peers involved in providing support for backup approach

Method Summary
`boolean` | `assignBackupFor(ProvisionMonitor monitor)` Assign the ProvisionMonitor as a backup for another ProvisionMonitor
`ProvisionMonitor.PeerInfo` | `getPeerInfo()` Get the PeerInfo object for the ProvisionMonitor
`boolean` | `removeBackupFor(ProvisionMonitor monitor)` Remove the ProvisionMonitor as a backup for another ProvisionMonitor
`void` | `update(ProvisionMonitor.PeerInfo info)` Notification from ProvisionMonitor peers updates to the PeerInfo object.

Methods inherited from interface org.jini.rio.core.provision.ProvisionManager
`register, register, update, update`

Methods inherited from interface net.jini.admin.Administrable
`getAdmin`

Methods inherited from interface org.jini.rio.core.MonitorableService
`monitor, ping, startHeartbeat`

Methods inherited from interface org.jini.rio.event.EventProducer
`register`

Methods inherited from interface org.jini.rio.watch.Watchable
`fetch, fetch`

Method Detail

### assignBackupFor

    boolean assignBackupFor(ProvisionMonitor monitor)
                            throws RemoteException

  Assign the ProvisionMonitor as a backup for another ProvisionMonitor

  Parameters:
    `monitor` - The ProvisionMonitor that will be backed up. If this ProvisionMonitor is removed from the network, then all OperationalString instances the removed ProvisionManager was managing will be managed by this ProvisionMonitor
  Returns:
    Return true if the ProvisionMonitor accepts the backup role, false if it refuses.
  Throws:
    `RemoteException`

### removeBackupFor

    boolean removeBackupFor(ProvisionMonitor monitor)
                            throws RemoteException

  Remove the ProvisionMonitor as a backup for another ProvisionMonitor

  Parameters:
    `monitor` - The primary ProvisionMonitor that no longer requires the support of this ProvisionManager
  Returns:
    Return true if the ProvisionMonitor has removed itself as a backup
  Throws:
    `RemoteException`

### update

    void update(ProvisionMonitor.PeerInfo info)
                throws RemoteException

  Notification from ProvisionMonitor peers updates to the PeerInfo object. This notification is sent as ProvisionMonitor instances are selected by other ProvisionMonitor instances for backup duty.

  Parameters:
    `info` - The PeerInfo object
  Throws:
    `RemoteException`

### getPeerInfo

    ProvisionMonitor.PeerInfo getPeerInfo()
                                          throws RemoteException

  Get the PeerInfo object for the ProvisionMonitor

  Returns:
    The PeerInfo object for the ProvisionMonitor
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.